//
//  ApduResponse.swift
//  Emoney Info
//
//  Created by Wira Irawan on 24/07/24.
//

import Foundation

class ApduResponse {
    var data : Data?
    var sw1 : UInt8?
    var sw2 : UInt8?
    
    func setData(_data : Data){
        self.data = _data
    }
    
    func setSw1(_sw1 : UInt8){
        self.sw1 = _sw1
    }
    
    func setSw2(_sw2 : UInt8){
        self.sw2 = _sw2
    }
    
    func getSw1() -> UInt8{
        return sw1 ?? 0
    }
    
    func getSw2() -> UInt8{
        return sw2 ?? 0
    }
    
    func getData() -> Data{
        return data ?? Data()
    }
}
